LukeResponse.FieldInfo (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.response.LukeResponse.FieldInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.client.solrj.response
Class LukeResponse.FieldInfo

    java.lang.Object
      org.apache.solr.client.solrj.response.LukeResponse.FieldInfo

All Implemented Interfaces:
  Serializable

Enclosing class:
  LukeResponse

    public static class LukeResponse.FieldInfo

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`LukeResponse.FieldInfo(String n)`

Method Summary
`int` | `getDistinct()`
`int` | `getDocs()`
`EnumSet<FieldFlag>` | `getFlags()`
`String` | `getName()`
`String` | `getSchema()`
`NamedList<Integer>` | `getTopTerms()`
`String` | `getType()`
`boolean` | `isCacheableFaceting()`
`static EnumSet<FieldFlag>` | `parseFlags(String flagStr)`
`void` | `read(NamedList<Object> nl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LukeResponse.FieldInfo

    public LukeResponse.FieldInfo(String n)

Method Detail

### read

    public void read(NamedList<Object> nl)

### parseFlags

    public static EnumSet<FieldFlag> parseFlags(String flagStr)

### getFlags

    public EnumSet<FieldFlag> getFlags()

### isCacheableFaceting

    public boolean isCacheableFaceting()

### getType

    public String getType()

### getDistinct

    public int getDistinct()

### getDocs

    public int getDocs()

### getName

    public String getName()

### getSchema

    public String getSchema()

### getTopTerms

    public NamedList<Integer> getTopTerms()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD